clear all
close all
clc

N = 1000;    % 每次行走步数为 N。
number=800;

step = [[1,0]; [-1, 0]; [0, 1]; [0, -1]];   % 可选的四种不同的位移矢量

for j=1:number
    zuobiao = [0, 0];       % 初始位置为原点
    for i = 1:N             % 行走 N 步
        k = ceil(4*rand()); % 随机选择方向 1、2、3、4，注意，ceil(x) 函数返回不小于 x 的最小整数，如 ceal（0.4）= 1.
        zuobiao = zuobiao + step(k,:);   %更新坐标，即在上一步坐标上加上位移矢量。
        %plot(0,0,'ro',zuobiao(1),zuobiao(2),'*')
    end
    hold on
    plot(0,0,'ro',zuobiao(1),zuobiao(2),'*')
end
   % r = norm(zuobiao)


